<div>
    <form class="form-add" (ngSubmit)="findItemsByCategory()">
        <label for="category-name">Category: </label>
        <input name="category-name" id="category-name" type="text" [(ngModel)]="categoryName">
        <input type="submit" value="filter" class="btn btn-light">
    </form>
</div>
